#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Jun 23 11:17:24 2021

@author: ricardofaria
"""


# Loading comma separated values files (.csv)
import pandas as pd

path = 'Other_industries/Fisheries_Aquaculture/aquacultura/Aquaculture infrastructures.csv'

data = pd.read_csv(path)


# Loading shape files (.shp)
from osgeo import ogr

path = 'Underwater_lines_and_pipelines/EMODnet_HA_Pipelines_20191220/EMODnet_HA_Pipelines_20191220.shp'

source = ogr.Open(path)
data = source.GetLayer()

# or
import shapefile

path = 'Underwater_lines_and_pipelines/EMODnet_HA_Pipelines_20191220/EMODnet_HA_Pipelines_20191220.shp'

data = shapefile.Reader(path)

# Loading gdbtable files (.gdbtable)
import geopandas as gpd
import fiona

path = 'Environmental/EMODnet_HA_Environment_Natura2000_end2019_20200513/EMODnet_HA_Environment_Natura2000_end2019_20200513.gdb/a0000000c.gdbtable'

layer = fiona.listlayers(path)
data = gpd.read_file(path, driver='FileGDB', layer=layer[0])
